Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588999 - when built to html, Articles present <itemizedlist>s in default fashion in contrast to Books, which use custom (and prettier and easier to read) presentation
Summary: when built to html, Articles present <itemizedlist>s in default fashion in co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 1.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 04:41 UTC by Brian Forte
Modified: 2010-11-24 04:16 UTC (History)
4 users (show)

Fixed In Version: 1.6.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-22 03:13:36 UTC


Attachments (Terms of Use)

Description Brian Forte 2010-05-05 04:41:37 UTC
Description of problem:
When the following is used in an Article:

<itemizedlist>
    <listitem>
        <para>
        Words of wisdom here.
        </para>
    </listitem>
    <listitem>
        <para>
        And nonsense here.
        </para>
    </listitem>
</itemizedlist>

and built to html, the resultant unordered list (<ul>, with <li class="listitem">) presents in default fashion.

eg: <http://documentation-stage.bne.redhat.com/docs/en-US/vSeven/1.1/html/Technical_Notes/>.

Use the same markup in a Book and the custom css makes the list prettier and easier to read.

eg the list below ‘Enhanced C++ support‘ at <http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.5/html/Release_Notes/ar01s06.html>


Version-Release number of selected component (if applicable):
1.6


How reproducible:
Always


Steps to Reproduce:
See problem description above   


Actual results:
default css used on transformed itemizedlist markup in Articles.


Desired results:
custom css used on transformed itemizedlist markup in Articles (equivalent behaviour to itemized list markup in Books).

Comment 1 Jeff Fearn 🐞 2010-05-05 04:48:00 UTC
Removed old exceptions in CSS for web site layout.

Comment 2 Ruediger Landmann 2010-05-06 18:14:43 UTC
Confirmed fixed in 1.6.3.t150


Note You need to log in before you can comment on or make changes to this bug.